Bug 3035 - Ошибки поиска зависимостей на не "PERL" файлы
: Ошибки поиска зависимостей на не "PERL" файлы
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/rpm-build-perl)
: unstable
: all Linux
: P2 blocker
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2003-09-24 09:31 by
Modified: 2007-04-06 15:51 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2003-09-24 09:31:01
Number found where operator expected at
/usr/src/RPM/tmp/mc-buildroot/usr/share/mc/mc.hint.pl line 1, near ") 1
995"
        (Missing operator before 1995?)

mc.hint.pl - польский набор хинтов для MC.

Нельзя по расширению .pl считать что это файл PERL'а.
------- Comment #1 From 2003-09-24 11:45:07 -------
Это "ошибка" rpm-build, т.к. это он составляет список перловых файлов и потом
отдает его перловым скриптам для поиска зависимостей. Вообще, это уже
обсуждалось.  Не существует надежного способа определить, является ли файл
перловым. С точки зрения качества сборки пакетов выгодно все *.pl файлы считать
перловыми, чтобы случайно не пропустить ошибок.  А потом сознательно отключать
поиск зависимостей в "неперловых" файлах.

Короче, давайте посмотрим статистику: сколько пакетов содержат *.pl файлы,
которые не являются перловыми.
------- Comment #2 From 2003-10-16 12:59:31 -------
This is rpm-build-perl task. 
------- Comment #3 From 2003-10-16 13:00:18 -------
Fixed in rpm-build-perl-0.1-alt7